# -*- encoding: utf-8 -*-
# stub: backup-bouchard 4.4.4 ruby lib

Gem::Specification.new do |s|
  s.name = "backup-bouchard".freeze
  s.version = "4.4.4"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Michael van Rooijen".freeze]
  s.date = "2017-01-09"
  s.description = "Backup is a RubyGem, written for UNIX-like operating systems, that allows you to easily perform backup operations on both your remote and local environments. It provides you with an elegant DSL in Ruby for modeling your backups. Backup has built-in support for various databases, storage protocols/services, syncers, compressors, encryptors and notifiers which you can mix and match. It was built with modularity, extensibility and simplicity in mind. This version has updated dependencies to be installable on Ruby 2.4.0 in which json 1.8.3 breaks. This is as of January 2017.".freeze
  s.email = "meskyanichi@gmail.com".freeze
  s.executables = ["backup".freeze]
  s.files = ["bin/backup".freeze]
  s.homepage = "https://github.com/backup/backup-bouchard".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.0".freeze)
  s.rubygems_version = "3.3.7".freeze
  s.summary = "Provides an elegant DSL in Ruby for performing backups on UNIX-like systems.".freeze

  s.installed_by_version = "3.3.7" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<thor>.freeze, [">= 0.18.1"])
    s.add_runtime_dependency(%q<open4>.freeze, [">= 1.3.0"])
    s.add_runtime_dependency(%q<fog>.freeze, [">= 1.28.0"])
    s.add_runtime_dependency(%q<excon>.freeze, [">= 0.44"])
    s.add_runtime_dependency(%q<unf>.freeze, [">= 0.1.3"])
    s.add_runtime_dependency(%q<dropbox-sdk>.freeze, [">= 1.6.5"])
    s.add_runtime_dependency(%q<net-ssh>.freeze, [">= 3.2.0"])
    s.add_runtime_dependency(%q<net-scp>.freeze, [">= 1.2.1"])
    s.add_runtime_dependency(%q<net-sftp>.freeze, [">= 2.1.2"])
    s.add_runtime_dependency(%q<mail>.freeze, [">= 2.6.3"])
    s.add_runtime_dependency(%q<pagerduty>.freeze, [">= 2.0.0"])
    s.add_runtime_dependency(%q<twitter>.freeze, [">= 5.5.0"])
    s.add_runtime_dependency(%q<hipchat>.freeze, [">= 1.0.1"])
    s.add_runtime_dependency(%q<flowdock>.freeze, [">= 0.4.0"])
    s.add_runtime_dependency(%q<json>.freeze, [">= 2.0.2"])
    s.add_runtime_dependency(%q<dogapi>.freeze, [">= 1.11.0"])
    s.add_runtime_dependency(%q<aws-ses>.freeze, [">= 0.5.0"])
    s.add_runtime_dependency(%q<nokogiri>.freeze, [">= 1.6.0"])
    s.add_development_dependency(%q<rubocop>.freeze, ["= 0.45.0"])
    s.add_development_dependency(%q<rake>.freeze, [">= 0"])
    s.add_development_dependency(%q<rspec>.freeze, ["= 2.14.1"])
    s.add_development_dependency(%q<mocha>.freeze, ["= 0.14.0"])
    s.add_development_dependency(%q<timecop>.freeze, ["= 0.7.1"])
  else
    s.add_dependency(%q<thor>.freeze, [">= 0.18.1"])
    s.add_dependency(%q<open4>.freeze, [">= 1.3.0"])
    s.add_dependency(%q<fog>.freeze, [">= 1.28.0"])
    s.add_dependency(%q<excon>.freeze, [">= 0.44"])
    s.add_dependency(%q<unf>.freeze, [">= 0.1.3"])
    s.add_dependency(%q<dropbox-sdk>.freeze, [">= 1.6.5"])
    s.add_dependency(%q<net-ssh>.freeze, [">= 3.2.0"])
    s.add_dependency(%q<net-scp>.freeze, [">= 1.2.1"])
    s.add_dependency(%q<net-sftp>.freeze, [">= 2.1.2"])
    s.add_dependency(%q<mail>.freeze, [">= 2.6.3"])
    s.add_dependency(%q<pagerduty>.freeze, [">= 2.0.0"])
    s.add_dependency(%q<twitter>.freeze, [">= 5.5.0"])
    s.add_dependency(%q<hipchat>.freeze, [">= 1.0.1"])
    s.add_dependency(%q<flowdock>.freeze, [">= 0.4.0"])
    s.add_dependency(%q<json>.freeze, [">= 2.0.2"])
    s.add_dependency(%q<dogapi>.freeze, [">= 1.11.0"])
    s.add_dependency(%q<aws-ses>.freeze, [">= 0.5.0"])
    s.add_dependency(%q<nokogiri>.freeze, [">= 1.6.0"])
    s.add_dependency(%q<rubocop>.freeze, ["= 0.45.0"])
    s.add_dependency(%q<rake>.freeze, [">= 0"])
    s.add_dependency(%q<rspec>.freeze, ["= 2.14.1"])
    s.add_dependency(%q<mocha>.freeze, ["= 0.14.0"])
    s.add_dependency(%q<timecop>.freeze, ["= 0.7.1"])
  end
end
